Get NFT Transfers By Collection
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | Object to filter results by specified conditions. |
limit | integer | Maximum number of results to return. |
offset | integer | Starting position for the results. |
order_by | object | Object specifying sort order. You can sort by multiple fields. |
Query Fields
Parameter | Type | Description |
|---|---|---|
transaction_version | integer | Transaction version |
type | string | Event type |
transaction_timestamp | string | Transaction timestamp |
token_standard | string | Token standard |
token_data_id | string | Token data ID |
token_amount | integer | Token quantity |
to_address | string | Receiver address |
from_address | string | Sender address |
event_index | integer | Event index |
event_account_address | string | Event account address |
entry_function_id_str | string | Entry function ID |
before_value | string | Previous value |
is_fungible_v2 | boolean | Whether Fungible V2 |
property_version_v1 | integer | Attribute version V1 |
after_value | string | New value |
current_token_data | object | Current token data |
collection_id | string | Collection ID |
decimals | integer | Decimal places |
description | string | Description |
is_deleted_v2 | boolean | Whether deleted |
largest_property_version_v1 | integer | Largest attribute version V1 |
last_transaction_version | integer | Last transaction version |
token_name | string | Token name |
token_uri | string | Token URI |
token_properties | object | Token attributes |
supply | integer | Supply |
maximum | integer | Maximum supply |
last_transaction_timestamp | string | Last transaction timestamp |
Example
Request Example
query MyQuery {
token_activities_v2(
limit: 5
offset: 0
order_by: {transaction_version: desc, event_index: desc}
where: {current_token_data: {collection_id: {_eq: "0x003e57fe72fc6eb072de5ec3d48bc552ebf7a0489a1bdb917aad7da2e313b3a0"}}}
) {
transaction_version
type
transaction_timestamp
token_standard
token_data_id
token_amount
to_address
from_address
event_index
event_account_address
entry_function_id_str
before_value
is_fungible_v2
property_version_v1
after_value
current_token_data {
collection_id
decimals
description
is_deleted_v2
is_fungible_v2
largest_property_version_v1
last_transaction_version
token_data_id
token_name
token_standard
token_uri
token_properties
supply
maximum
last_transaction_timestamp
}
}
}
Response Example
{
"data": {
"token_activities_v2": [
{
"transaction_version": 12593206,
"type": "0x3::token::DepositEvent",
"transaction_timestamp": "2022-10-25T18:00:02.961162",
"token_standard": "v1",
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_amount": 1,
"to_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"from_address": null,
"event_index": 3,
"event_account_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"entry_function_id_str": "0xd9d4314512a7d23acff5d282a1e64f1228ba8aca2f952621dd57f49cf101854e::launchpad_nft::mint",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593206,
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_name": "AptosMonkeys #10",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/10.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:02.961162"
}
},
{
"transaction_version": 12593206,
"type": "0x3::token::MintTokenEvent",
"transaction_timestamp": "2022-10-25T18:00:02.961162",
"token_standard": "v1",
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_amount": 1,
"to_address": null,
"from_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"event_index": 4,
"event_account_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"entry_function_id_str": "0xd9d4314512a7d23acff5d282a1e64f1228ba8aca2f952621dd57f49cf101854e::launchpad_nft::mint",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593206,
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_name": "AptosMonkeys #10",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/10.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:02.961162"
}
},
{
"transaction_version": 12593206,
"type": "0x3::token::WithdrawEvent",
"transaction_timestamp": "2022-10-25T18:00:02.961162",
"token_standard": "v1",
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_amount": 1,
"to_address": null,
"from_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"event_index": 5,
"event_account_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"entry_function_id_str": "0xd9d4314512a7d23acff5d282a1e64f1228ba8aca2f952621dd57f49cf101854e::launchpad_nft::mint",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593206,
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_name": "AptosMonkeys #10",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/10.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:02.961162"
}
},
{
"transaction_version": 12593206,
"type": "0x3::token::DepositEvent",
"transaction_timestamp": "2022-10-25T18:00:02.961162",
"token_standard": "v1",
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_amount": 1,
"to_address": "0x57e6cb62f2a15a1744ed6fed86843b140422e5168525d0500f3a90038b60ebe4",
"from_address": null,
"event_index": 6,
"event_account_address": "0x57e6cb62f2a15a1744ed6fed86843b140422e5168525d0500f3a90038b60ebe4",
"entry_function_id_str": "0xd9d4314512a7d23acff5d282a1e64f1228ba8aca2f952621dd57f49cf101854e::launchpad_nft::mint",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593206,
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_name": "AptosMonkeys #10",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/10.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:02.961162"
}
},
{
"transaction_version": 12595379,
"type": "0x3::token::WithdrawEvent",
"transaction_timestamp": "2022-10-25T18:00:19.613031",
"token_standard": "v1",
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_amount": 1,
"to_address": null,
"from_address": "0x57e6cb62f2a15a1744ed6fed86843b140422e5168525d0500f3a90038b60ebe4",
"event_index": 0,
"event_account_address": "0x57e6cb62f2a15a1744ed6fed86843b140422e5168525d0500f3a90038b60ebe4",
"entry_function_id_str": "0x2c7bccf7b31baf770fdbcc768d9e9cb3d87805e255355df5db32ac9a669010a2::marketplace_v2::list",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593206,
"token_data_id": "0x618a2af6897d72f866f161c00723c826f6c26c1124cd2728b9afe49dfd23b434",
"token_name": "AptosMonkeys #10",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/10.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:02.961162"
}
}
]
}
}